%global namedreltag .Final
%global namedversion %{version}%{?namedreltag}

Name:             jul-to-slf4j-stub
Version:          1.0.1
Release:          %mkrel 2
Summary:          JUL log records SLF4J bridge
Group:            Development/Java
License:          LGPLv2+ and MIT
URL:              http://www.jboss.org/
Source0:          https://github.com/jboss-logging/jul-to-slf4j-stub/archive/%{namedversion}.tar.gz

BuildArch:        noarch

BuildRequires:    maven-local
BuildRequires:    maven-compiler-plugin
BuildRequires:    maven-install-plugin
BuildRequires:    maven-jar-plugin
BuildRequires:    maven-javadoc-plugin
BuildRequires:    maven-enforcer-plugin
BuildRequires:    jboss-parent
BuildRequires:    slf4j

%description
Helper to Bridge/route all JUL log records to the SLF4J API.

%package javadoc
Summary:          Javadocs for %{name}
Group:            Documentation

%description javadoc
This package contains the API documentation for %{name}.

%prep
%setup -q -n %{name}-%{namedversion}

%build
%mvn_build

%install
%mvn_install

%files -f .mfiles

%files javadoc -f .mfiles-javadoc


%changelog
* Tue Mar 01 2016 daviddavid <daviddavid> 1.0.1-2.mga6
+ Revision: 981308
- First rebuild of the java stack
- sync package jul-to-slf4j-stub with fedora

  + umeabot <umeabot>
    - Mageia 6 Mass Rebuild

* Sun Jan 18 2015 daviddavid <daviddavid> 1.0.1-1.mga5
+ Revision: 811294
- Sync with fc21 (update to 1.0.1.Final)

* Sat Oct 18 2014 umeabot <umeabot> 1.0.0-6.mga5
+ Revision: 787457
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 1.0.0-4.mga4
+ Revision: 506502
- Mageia 4 Mass Rebuild

* Sat Jan 12 2013 umeabot <umeabot> 1.0.0-3.mga3
+ Revision: 355692
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Dec 14 2012 dmorgan <dmorgan> 1.0.0-2.mga3
+ Revision: 330603
- imported package jul-to-slf4j-stub


* Thu Jul 19 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Fri Apr 20 2012 Marek Goldmann <mgoldman@redhat.com> 1.0.0-1
- Initial packaging

